gnutls_x509_crt_set_subject_alt_name(3)

NAME
gnutls_x509_crt_set_subject_alt_name - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_subject_alt_name(gnutls_x509_crt_t crt, gnutls_x509_subject_alt_name_t type, const void * data, unsigned int data_size, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

gnutls_x509_subject_alt_name_t type
    is one of the gnutls_x509_subject_alt_name_t enumerations

const void * data
    The data to be set

unsigned int data_size
    The size of data to be set

unsigned int flags
    GNUTLS_FSAN_SET to clear previous data or GNUTLS_FSAN_APPEND to append.

DESCRIPTION
This function will set the subject alternative name certificate extension. It can set the following types: GNUTLS_SAN_DNSNAME as a text string, GNUTLS_SAN_RFC822NAME as a text string, GNUTLS_SAN_URI as a text string, GNUTLS_SAN_IPADDRESS as a binary IP address (4 or 16 bytes), GNUTLS_SAN_OTHERNAME_XMPP as a UTF8 string (since 3.5.0). Since version 3.5.7 the GNUTLS_SAN_RFC822NAME, GNUTLS_SAN_DNSNAME, and GNUTLS_SAN_OTHERNAME_XMPP are converted to ACE format when necessary.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/